org.apache.ignite.internal.util.nio

## Enum GridNioSessionMetaKey

- java.lang.Object
- - java.lang.Enum<GridNioSessionMetaKey>
  - - org.apache.ignite.internal.util.nio.GridNioSessionMetaKey

All Implemented Interfaces:
  Serializable, Comparable<GridNioSessionMetaKey>

    public enum GridNioSessionMetaKey
    extends Enum<GridNioSessionMetaKey>

Meta keys for `GridNioSession`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LAST_FUT` Last future.
`MARSHALLER` Client marshaller.
`MARSHALLER_ID` Client marshaller ID.
`MSG_WRITER` Message writer.
`NIO_OPERATION` NIO operation (request type).
`PARSER_STATE` NIO parser state.
`SSL_HANDLER` SSL handler.

### Field Summary

Fields
`static int` `MAX_KEYS_CNT` Maximum count of NIO session keys in system.

### Method Summary

Methods
`static int` `nextUniqueKey()` Returns next NIO session key ordinal for non-existing enum value.
`static GridNioSessionMetaKey` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridNioSessionMetaKey[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PARSER_STATE

    public static final GridNioSessionMetaKey PARSER_STATE

NIO parser state.

#### SSL_HANDLER

    public static final GridNioSessionMetaKey SSL_HANDLER

SSL handler.

#### NIO_OPERATION

    public static final GridNioSessionMetaKey NIO_OPERATION

NIO operation (request type).

#### LAST_FUT

    public static final GridNioSessionMetaKey LAST_FUT

Last future.

#### MARSHALLER

    public static final GridNioSessionMetaKey MARSHALLER

Client marshaller.

#### MARSHALLER_ID

    public static final GridNioSessionMetaKey MARSHALLER_ID

Client marshaller ID.

#### MSG_WRITER

    public static final GridNioSessionMetaKey MSG_WRITER

Message writer.

### Field Detail

#### MAX_KEYS_CNT

    public static final int MAX_KEYS_CNT

Maximum count of NIO session keys in system.

See Also:
  Constant Field Values

### Method Detail

#### values

    public static GridNioSessionMetaKey[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridNioSessionMetaKey c : GridNioSessionMetaKey.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridNioSessionMetaKey valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### nextUniqueKey

    public static int nextUniqueKey()

Returns next NIO session key ordinal for non-existing enum value.

NOTE: Maximum count of NIO session keys in system is limited by `MAX_KEYS_CNT`.

Returns:
  NIO session key ordinal for non-existing enum value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015